For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETList active containers (public registry)
      • POSTCreate a container
      • GETList your containers
      • GETGet a container with its capabilities
      • DELArchive a container
      • PATCHUpdate container metadata
      • POSTAttach (or detach) a capability to a container
      • POSTBegin DNS TXT challenge for a domain
      • POSTCheck the TXT record and mark domain verified
LogoLogo
DashboardGet started
Generated API ExplorerCapability Containers

Begin DNS TXT challenge for a domain

POST
/v1/capability-containers/:id/domain/claim
POST
/v1/capability-containers/:id/domain/claim
$curl -X POST https://api.lipafy.xyzyz/v1/capability-containers/id/domain/claim \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "domain": "dimenzuri.example.com"
>}'
200Successful
1{
2 "claim": {
3 "container_id": "string",
4 "claimed_domain": "string",
5 "verification_record_host": "string",
6 "verification_record_value": "string",
7 "verified": true,
8 "verified_at": "2024-01-15T09:30:00Z"
9 }
10}
Was this page helpful?
Previous

Check the TXT record and mark domain verified

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
domainstringRequired

Response

Returns TXT record host + value to publish

claimobject